PAPI for Windows 7

PAPI for Windows 7

Postby venkatesanlalitha » Fri Feb 08, 2013 7:32 am

Hi All,

I am Venkatesan. I am trying to build PAPI 3.7.2 in windows 7 machine.

Using Visual Studio 2010 I build WinPAPI (used MinGW)
But i am not able to build WinPCM

I downloaded wdksetup (8.0) from Microsoft site and installed it.

The document which i have has the information to update XPBase in Environment Variables. But not for Windows 7. Is there any alternate for this?

I ignored the step and I opened winpcm sln, the document which i have explains to update the modify build command and build all command to “ddkbuild ‐XP
checked .” and “ddkbuild ‐XP checked . /a”. Since it is for XP. Can you please tell me what is the alternative for that in windows 7?

If i ignore this step and build i get the below given error

The command "ddkbuild -w2k checked ." exited with code -1.

Please help

The document i took for the build is

http://lists.eecs.utk.edu/pipermail/pto ... y-0001.pdf

Regards,
Venkatesan S
venkatesanlalitha
 
Posts: 1
Joined: Fri Feb 08, 2013 7:19 am

Re: PAPI for Windows 7

Postby James Ralph » Tue Feb 12, 2013 10:52 am

Hi Venkatesan,

Support for Windows has been discontinued, XP was the last version of Windows
supported in any way. You'd need to read the manual for the compiler to
figure out what flags to pass it for windows 7.

Be aware that even when Windows was supported, counting was only supported
on one core in system wide mode. ( not per process as on the rest of our supported
platforms )

Intel VTune might have better support on Windows.

Sorry,
James
James Ralph
 
Posts: 20
Joined: Tue Aug 25, 2009 2:43 pm

Re: PAPI for Windows 7

Postby JilkeKelders » Tue Jan 13, 2015 4:55 am

This patch should be applied to the PAPI 4.0.0 tarball to address several issues identified and fixed since the release of the tarball on January 19, 2010. It cannot be applied to a tarball that has been patched with an earlier patch file.
This patch addresses the following:
• the utils/papi_version utility reports PAPI 4.0.0.3, where the last digit matches the patch number.
• the ultrasparc architecture has been resurrected and supported in this patch.
• IBM Blue Gene P systems were corrupting stack frames and crashing when the papi_get_event_info call was executed. This has been fixed.
• papi_native_avail was exiting improperly when using the -e option. THis caused problems with batch execution systems (like Blue Gene P). This has been fixed.
Patches are cumulative; each patch contains all fixes since the release. See the descriptions for PAPI 4.0.0 Patch 1 and Patch 2 for other modifications.
JilkeKelders
 
Posts: 1
Joined: Tue Jan 13, 2015 4:49 am


Return to Classic PAPI

Who is online

Users browsing this forum: Yahoo [Bot] and 0 guests